Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.farafin.snEADy.control.GaphixStuff
Class C_GraphixTools

    java.lang.Object
      de.farafin.snEADy.control.GaphixStuff.C_GraphixTools

All Implemented Interfaces:
  I_GraphixConstants

    public class C_GraphixTools

extends java.lang.Object
implements I_GraphixConstants

Author:
  larsonmars TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary

Fields inherited from interface de.farafin.snEADy.control.GaphixStuff.I_GraphixConstants
`ALLIG_LEFT, ALLIG_RIGHT, ARENAMAXSIZE, C_END, C_EXIT, C_EXITO, C_FLOOR, C_GOODY_E, C_GOODY_LENGTH, C_GOODY_POINTS, C_GOODY_S, C_GOODY_SPEED, C_NOTHING, C_PLAYER_E, C_PLAYER_S, C_PLAYER01, C_PLAYER02, C_PLAYER03, C_PLAYER04, C_PLAYER05, C_PLAYER06, C_PLAYER07, C_PLAYER08, C_PLAYER09, C_PLAYER10, C_PLAYERH_E, C_PLAYERH_S, C_PLAYERH01, C_PLAYERH02, C_PLAYERH03, C_PLAYERH04, C_PLAYERH05, C_PLAYERH06, C_PLAYERH07, C_PLAYERH08, C_PLAYERH09, C_PLAYERH10, C_UNKNOWN, C_WALL, C_WALL_E, C_WALL_S, C_WALLCORNER_E, C_WALLCORNER_N, C_WALLCORNER_NE_CC, C_WALLCORNER_NE_CV, C_WALLCORNER_NW_CC, C_WALLCORNER_NW_CV, C_WALLCORNER_S, C_WALLCORNER_SE_CC, C_WALLCORNER_SE_CV, C_WALLCORNER_SW_CC, C_WALLCORNER_SW_CV, C_WALLCORNER_W, COL_BLUE1, COL_BLUE2, COL_GREY1, dir_arena, dir_player, F_GREEN, F_INACTIVE, F_MARKED, F_NORMAL, F_RED, FIELDELEMSIZE, humanPlayerKeyD, humanPlayerKeyL, humanPlayerKeyR, humanPlayerKeyU, M_BG, M_BUTTARENA, M_BUTTCREDITS, M_BUTTMIN, M_BUTTOPTIONS, M_BUTTPLAYER, M_BUTTQUIT, M_BUTTRMPLAYER, M_BUTTRUN, M_BUTTSTOP, M_FONTSERP8X14, M_TABCLOSE, M_TABOPEN, M_TEXTAREA, M_TGLBUTT, M_VOLATILE_END, MAXCOMMANDHIST, MAXFRAMECOUNT, MONSTARTX, MONSTARTY, S_ARENABG, S_BUTTADD, S_BUTTLOAD, S_BUTTMIN, S_BUTTOK, S_BUTTQUIT, S_OPTIONSBG, S_PLAYERBG, S_VSCROLL, S_VSCROLLBUTT, UIGRAPHIX_END`

Constructor Summary
`C_GraphixTools()`

Method Summary
`protected static java.awt.image.VolatileImage` | `createBackBufferVI(int width, int height)`
`protected static void` | `drawBitmapString(java.lang.String str, int x, int y, int GFONT, java.awt.Graphics g, int alligm, int MODE)`
`protected static void` | `drawBufferedBitmapString(java.lang.String str, int x, int y, int GFONT, java.awt.Graphics g, int alligm, int MODE)`
`protected static boolean` | `drawGameImageToBackbuffer(java.awt.image.VolatileImage destVImg, int imageID, int dx1, int dy1, int dx2, int dy2, int sx1, int sy1, int sx2, int sy2)`
`protected static void` | `drawVMenuImage(int imageID, java.awt.Graphics g)`
`private static java.lang.String` | `genVerString()`
`protected static java.lang.String` | `getAvailLevelGraphix(java.lang.String path)`
`protected static void` | `getVImgFromImg(java.awt.image.VolatileImage destVImg, java.awt.Image srcImg)`
`protected static void` | `loadCustomLevelGraphix(java.lang.String path)`
`protected static boolean` | `loadImages()`
`protected static void` | `wantReadGameImage(int imageID)`
`protected static void` | `wantReadMenuImage(int imageID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### C_GraphixTools

    public C_GraphixTools()

Method Detail

### loadImages

    protected static boolean loadImages()

### getAvailLevelGraphix

    protected static final java.lang.String getAvailLevelGraphix(java.lang.String path)

### loadCustomLevelGraphix

    protected static final void loadCustomLevelGraphix(java.lang.String path)

### genVerString

    private static final java.lang.String genVerString()

### createBackBufferVI

    protected static final java.awt.image.VolatileImage createBackBufferVI(int width,
                                                                           int height)

### drawGameImageToBackbuffer

    protected static boolean drawGameImageToBackbuffer(java.awt.image.VolatileImage destVImg,
                                                       int imageID,
                                                       int dx1,
                                                       int dy1,
                                                       int dx2,
                                                       int dy2,
                                                       int sx1,
                                                       int sy1,
                                                       int sx2,
                                                       int sy2)

### getVImgFromImg

    protected static final void getVImgFromImg(java.awt.image.VolatileImage destVImg,
                                               java.awt.Image srcImg)

### wantReadMenuImage

    protected static final void wantReadMenuImage(int imageID)

### wantReadGameImage

    protected static final void wantReadGameImage(int imageID)

### drawBitmapString

    protected static void drawBitmapString(java.lang.String str,
                                           int x,
                                           int y,
                                           int GFONT,
                                           java.awt.Graphics g,
                                           int alligm,
                                           int MODE)

### drawBufferedBitmapString

    protected static void drawBufferedBitmapString(java.lang.String str,
                                                   int x,
                                                   int y,
                                                   int GFONT,
                                                   java.awt.Graphics g,
                                                   int alligm,
                                                   int MODE)

### drawVMenuImage

    protected static void drawVMenuImage(int imageID,
                                         java.awt.Graphics g)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD